summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
authorAustin S. Hemmelgarn <austin@netdata.cloud>2022-10-17 13:31:01 -0400
committerGitHub <noreply@github.com>2022-10-17 13:31:01 -0400
commitd4e22b8d0e749334b91a23b0d947422c00a8caa5 (patch)
tree2690d9c9b83868437079eec8eecbcc1fc6bbefbb /system
parent2de4e77cc9388fcbbe6e0bda40edefb655d86e96 (diff)
Fix service installation on FreeBSD. (#13842)
Instead of using the correct path for installing the system service file, we were always hard-coding `/etc/init.d/netdata`. This happened to work correctly on Linux, but obviously breaks horribly on FreeBSD.
Diffstat (limited to 'system')
-rwxr-xr-xsystem/install-service.sh.in2
1 files changed, 1 insertions, 1 deletions
diff --git a/system/install-service.sh.in b/system/install-service.sh.in
index ecaf931ff4..28bce124c8 100755
--- a/system/install-service.sh.in
+++ b/system/install-service.sh.in
@@ -113,7 +113,7 @@ install_generic_service() {
ENABLE="enable"
fi
- if ! install -p -m 0755 -o 0 -g 0 "${SVC_SOURCE}/netdata-${svc_type}" /etc/init.d/netdata; then
+ if ! install -p -m 0755 -o 0 -g 0 "${SVC_SOURCE}/netdata-${svc_type}" "${svc_file}"; then
error "Failed to install service file."
exit 4
fi